-- SVH_REPORT_DB.JUNO.TMP_UR_MAESTRO_HIST definition

-- Drop table

-- DROP TABLE SVH_REPORT_DB.JUNO.TMP_UR_MAESTRO_HIST;

CREATE TABLE JUNO.TMP_UR_MAESTRO_HIST (
	SOCIEDAD int NOT NULL,
	UNIDAD_REGISTRAL int NOT NULL,
	PROMOCION_COMERCIAL int NULL,
	PROMOCION_CONJUNTA int NULL,
	FECHA_TITULO date NULL,
	FECHA_ESCRITURA_ALTA date NULL,
	DESC_SOCIEDAD varchar(25) COLLATE Modern_Spanish_CI_AS NULL,
	FECHA_ADJUDICACION date NULL,
	PAIS varchar(3) COLLATE Modern_Spanish_CI_AS NULL,
	PROVINCIA varchar(3) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_PROVINCIA varchar(20) COLLATE Modern_Spanish_CI_AS NULL,
	CM_FISCAL varchar(8) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_CM_FISCAL varchar(50) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_POBLACION varchar(79) COLLATE Modern_Spanish_CI_AS NULL,
	TIPO_VIA varchar(5) COLLATE Modern_Spanish_CI_AS NULL,
	CALLE varchar(60) COLLATE Modern_Spanish_CI_AS NULL,
	NUMERO varchar(10) COLLATE Modern_Spanish_CI_AS NULL,
	BLOQUE varchar(6) COLLATE Modern_Spanish_CI_AS NULL,
	PISO varchar(6) COLLATE Modern_Spanish_CI_AS NULL,
	PUERTA varchar(6) COLLATE Modern_Spanish_CI_AS NULL,
	COD_POSTAL varchar(5) COLLATE Modern_Spanish_CI_AS NULL,
	IDUFIR varchar(14) COLLATE Modern_Spanish_CI_AS NULL,
	PROVINCIA_REGISTRO varchar(3) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_PROVINCIA_REGISTRO varchar(20) COLLATE Modern_Spanish_CI_AS NULL,
	MUNICIPIO_REGISTRO varchar(4) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_MUNICIPIO_REGISTRO varchar(50) COLLATE Modern_Spanish_CI_AS NULL,
	NUM_REGISTRO varchar(2) COLLATE Modern_Spanish_CI_AS NULL,
	NUM_TOMO varchar(4) COLLATE Modern_Spanish_CI_AS NULL,
	NUM_LIBRO varchar(4) COLLATE Modern_Spanish_CI_AS NULL,
	FINCA varchar(10) COLLATE Modern_Spanish_CI_AS NULL,
	TIPO_INMUEBLE varchar(2) COLLATE Modern_Spanish_CI_AS NULL,
	MODO varchar(3) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_TIPO_INMUEBLE varchar(40) COLLATE Modern_Spanish_CI_AS NULL,
	PARALIZACION_URBANIZACION varchar(2) COLLATE Modern_Spanish_CI_AS NULL,
	NUM_AUTOS varchar(7) COLLATE Modern_Spanish_CI_AS NULL,
	FECHA_POSESION date NULL,
	FECHA_POSESION_RPT date NULL,
	EXPEDIENTE varchar(8) COLLATE Modern_Spanish_CI_AS NULL,
	CONTRATO varchar(11) COLLATE Modern_Spanish_CI_AS NULL,
	CENTRO varchar(4) COLLATE Modern_Spanish_CI_AS NULL,
	FECHA_REGISTRO_BAJA date NULL,
	FECHA_VENTA date NULL,
	DESC_UR varchar(80) COLLATE Modern_Spanish_CI_AS NULL,
	SOCIEDAD_ORIGEN varchar(20) COLLATE Modern_Spanish_CI_AS NULL,
	FECHA_SELLO date NULL,
	IND_STK_NEG varchar(1) COLLATE Modern_Spanish_CI_AS NULL,
	IND_VENTA_REALIZADA varchar(1) COLLATE Modern_Spanish_CI_AS NULL,
	IND_BAJA_REALIZADA varchar(1) COLLATE Modern_Spanish_CI_AS NULL,
	COEFICIENTE_INDIVISA decimal(7,3) NULL,
	FINCA_DRM varchar(5) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_PROMOCION_COMERCIAL varchar(40) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_PROMOCION_CONJUNTA varchar(40) COLLATE Modern_Spanish_CI_AS NULL,
	PRODUCTO varchar(2) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_PRODUCTO varchar(40) COLLATE Modern_Spanish_CI_AS NULL,
	TIPO_COMERCIALIZACION varchar(2) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_TIPO_COMERCIALIZACION varchar(40) COLLATE Modern_Spanish_CI_AS NULL,
	CODIGO_ACTUACION_ALTA varchar(4) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_CODIGO_ACTUACION_ALTA varchar(40) COLLATE Modern_Spanish_CI_AS NULL,
	CODIGO_ACTUACION_BAJA varchar(4) COLLATE Modern_Spanish_CI_AS NULL,
	DESC_CODIGO_ACTUACION_BAJA varchar(40) COLLATE Modern_Spanish_CI_AS NULL,
	FECHA_REGISTRO_ALTA date NULL,
	IND_CONTROL_CARTERA varchar(3) COLLATE Modern_Spanish_CI_AS NOT NULL,
	CONTROL_CARTERA varchar(18) COLLATE Modern_Spanish_CI_AS NOT NULL,
	ORIGEN_PERIMETRO varchar(46) COLLATE Modern_Spanish_CI_AS NOT NULL,
	ADHOC_USR061 varchar(50) COLLATE Modern_Spanish_CI_AS NULL,
	ADHOC_USR001 varchar(50) COLLATE Modern_Spanish_CI_AS NULL,
	IND_DATA_ADHOC varchar(1) COLLATE Modern_Spanish_CI_AS NOT NULL,
	IND_MIGRACION varchar(1) COLLATE Modern_Spanish_CI_AS NULL,
	DETALLE_MIGRACION varchar(50) COLLATE Modern_Spanish_CI_AS NULL,
	FECHA_CARGA date NULL,
	FECHA_DATOS date NULL,
	IND_APORTACION varchar(1) COLLATE Modern_Spanish_CI_AS NULL
);